scala.reflect.macros.compiler.DefaultMacroCompiler

# MacroImplRefCompiler

###
Related Doc: package DefaultMacroCompiler

#### case class MacroImplRefCompiler(untypedMacroImplRef: tools.nsc.Global.Tree, isImplBundle: Boolean) extends Resolver with Validator with Error with Product with Serializable

Source
  DefaultMacroCompiler.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, DefaultMacroCompiler.Error, DefaultMacroCompiler.Validator, DefaultMacroCompiler.Resolver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MacroImplRefCompiler
2. Serializable
3. Serializable
4. Product
5. Equals
6. Error
7. Validator
8. Resolver
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MacroImplRefCompiler(untypedMacroImplRef: tools.nsc.Global.Tree, isImplBundle: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MacroImplRefCompiler to any2stringadd[MacroImplRefCompiler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MacroImplRefCompiler, B)

   Implicit information
     This member is added by an implicit conversion from MacroImplRefCompiler to ArrowAssoc[MacroImplRefCompiler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def MacroImplExtraParamsError(aparams: List[tools.nsc.Global.Symbol], rparams: List[tools.nsc.Global.Symbol]): Nothing

   Definition Classes
     Error

7. #### def MacroImplMissingParamsError(aparams: List[tools.nsc.Global.Symbol], rparams: List[tools.nsc.Global.Symbol]): Nothing

   Definition Classes
     Error

8. #### def MacroImplNonTagImplicitParameters(params: List[tools.nsc.Global.Symbol]): Nothing

   Definition Classes
     Error

9. #### def MacroImplNotPublicError(): Nothing

   Definition Classes
     Error

10. #### def MacroImplOverloadedError(): Nothing

    Definition Classes
      Error

11. #### def MacroImplParamNameMismatchError(aparam: tools.nsc.Global.Symbol, rparam: tools.nsc.Global.Symbol): Nothing

    Definition Classes
      Error

12. #### def MacroImplParamssMismatchError(): Nothing

    Definition Classes
      Error

13. #### def MacroImplReferenceWrongShapeError(): Nothing

    Definition Classes
      Error

14. #### def MacroImplTargMismatchError(atargs: List[tools.nsc.Global.Type], atparams: List[tools.nsc.Global.Symbol]): Nothing

    Definition Classes
      Error

15. #### def MacroImplTparamInstantiationError(atparams: List[tools.nsc.Global.Symbol], e: (analyzer)#NoInstance): Nothing

    Definition Classes
      Error

16. #### def MacroImplVarargMismatchError(aparam: tools.nsc.Global.Symbol, rparam: tools.nsc.Global.Symbol): Unit

    Definition Classes
      Error

17. #### def MacroImplWrongNumberOfTypeArgumentsError(): Nothing

    Definition Classes
      Error

18. #### lazy val aparamss: List[List[tools.nsc.Global.Symbol]]

    Definition Classes
      Validator

19. #### lazy val aret: tools.nsc.Global.Type

    Definition Classes
      Validator

20. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

21. #### lazy val atparams: List[tools.nsc.Global.Symbol]

    Definition Classes
      Validator

22. #### def checkMacroImplParamTypeMismatch(atpe: tools.nsc.Global.Type, rparam: tools.nsc.Global.Symbol): Unit

    Definition Classes
      Error

23. #### def checkMacroImplResultTypeMismatch(atpe: tools.nsc.Global.Type, rret: tools.nsc.Global.Type): Unit

    Definition Classes
      Error

24. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

25. #### def ensuring(cond: (MacroImplRefCompiler) ⇒ Boolean, msg: ⇒ Any): MacroImplRefCompiler

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to Ensuring[MacroImplRefCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### def ensuring(cond: (MacroImplRefCompiler) ⇒ Boolean): MacroImplRefCompiler

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to Ensuring[MacroImplRefCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

27. #### def ensuring(cond: Boolean, msg: ⇒ Any): MacroImplRefCompiler

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to Ensuring[MacroImplRefCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

28. #### def ensuring(cond: Boolean): MacroImplRefCompiler

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to Ensuring[MacroImplRefCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

29. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

30. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

31. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to StringFormat[MacroImplRefCompiler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

32. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

33. #### lazy val isBlackbox: Boolean

    Definition Classes
      Resolver

34. #### val isImplBundle: Boolean

    Definition Classes
      MacroImplRefCompiler → Resolver

35. #### val isImplMethod: Boolean

    Definition Classes
      Resolver

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### lazy val looksCredible: Boolean

    Definition Classes
      Resolver

38. #### lazy val macroImpl: tools.nsc.Global.Symbol

    Definition Classes
      Resolver

39. #### lazy val macroImplOwner: tools.nsc.Global.Symbol

    Definition Classes
      Resolver

40. #### lazy val macroImplRef: tools.nsc.Global.Tree

    Definition Classes
      Resolver

41. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

44. #### lazy val rparamss: List[List[tools.nsc.Global.Symbol]]

    Definition Classes
      Validator

45. #### lazy val rret: tools.nsc.Global.Type

    Definition Classes
      Validator

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### lazy val targs: List[tools.nsc.Global.Tree]

    Definition Classes
      Resolver

48. #### val untypedMacroImplRef: tools.nsc.Global.Tree

49. #### def validateMacroImplRef(): Unit

    Definition Classes
      Validator

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### def →[B](y: B): (MacroImplRefCompiler, B)

    Implicit information
      This member is added by an implicit conversion from MacroImplRefCompiler to ArrowAssoc[MacroImplRefCompiler] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DefaultMacroCompiler.Error

### Inherited from DefaultMacroCompiler.Validator

### Inherited from DefaultMacroCompiler.Resolver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MacroImplRefCompiler to any2stringadd[MacroImplRefCompiler]

### Inherited by implicit conversion StringFormat from MacroImplRefCompiler to StringFormat[MacroImplRefCompiler]

### Inherited by implicit conversion Ensuring from MacroImplRefCompiler to Ensuring[MacroImplRefCompiler]

### Inherited by implicit conversion ArrowAssoc from MacroImplRefCompiler to ArrowAssoc[MacroImplRefCompiler]

### Ungrouped